Subject: Re: [IPROUTE]: Fix up "ip link" help text

From: Ben Greear <[email-masked]>
Date: Mon, 13 Oct 2008 09:36:06 -0700

Stephen Hemminger wrote:
> On Tue, 07 Oct 2008 23:02:17 +0200
> Patrick McHardy <[email-masked]> wrote:
>
>   
>> Arkadiusz Miskiewicz wrote:
>>     
>>> Runtime dependand help doesn't look sane. Help should always show all possible 
>>> options/command while trying to use unsupported option should display error 
>>> message.
>>>   
>>>       
>> That makes sense. But don't complain to me about the quality
>> of the error messages afterwards please :)
>>
>>
>>     
>
> I applied a variant of Patrick's original patch. I added text for delete, and
> avoided some code movement.  The help text should only show what is supported
> otherwise there will be user complaints.
>   
I personally dislike that.  I think the tool show should everything that 
it *could* do assuming
proper kernel, etc.  Then, if it turns out the current running kernel 
can't do that, it could just
give an error:  "This feature not supported in your current kernel.  See 
[url] for info on when
features were added to the kernel."

That way, the user can see all the possible goodness out there, and 
perhaps be inclined to upgrade
to a later kernel if that gives them a feature they'd like.

Thanks,
Ben

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>   

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com